Subject: bug#68200: 30.0.50; Emacs reloads init file when calling `documentation'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Jan 2024 14:36:02 +0200

> Date: Mon, 8 Jan 2024 21:22:16 +0000
> Cc: Eli Zaretskii <[email-masked]>,
>   Gerd Möllmann <[email-masked]>,
>   [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> In an age when a computer with 1 GB RAM is regarded as small indeed, why
> are we so concerned about the, at most, few hundred bytes occupied by
> each doc string?

Because RAM is always at premium, and because these things add up.

> Even if certain libraries were given adequate doc
> strings, that still wouldn't swell the occupied storage to more than...
> Well, I think there are around 40,000 defuns (etc.) in Emacs (I did scan
> the source files for this at one time).  If each doc string were on
> average 1024 bytes, that would come to around 40 MB.  That's negligible
> these days, surely.

No, 40MB is far from being negligible.

> Eli, what would you say to changing the default of the custom variable
> byte-compile-dynamic-docstrings to nil?

Why would that be useful? to hide bugs in code that doesn't work when
the variable is non-nil?

> And I'll have a look at why that variable no longer appears to be
> working (though I have rather a lot on in the next few days).

Thanks.